import i18n from "i18next";
import { initReactI18next } from "react-i18next";
import LanguageDetector from "i18next-browser-languagedetector";

import en from './en.json';
import pl from './pl.json';
import sigma from './sigma.json';


i18n
    .use(initReactI18next)
    .use(LanguageDetector)
    .init({
        resources: {
            pl: {
                "_": pl,
            },
            en: {
                "_": en,
            },
            sigma: {
                "_": sigma,
            }
        },
        debug: false,
        fallbackLng: "en",
        interpolation: {
            escapeValue: false,
        },
        ns: "_",
        defaultNS: "_",
    });